
function Skinner:Perl_Config_Options()

--Config                             
	Perl_Config_Header:Hide()
	self:moveObject(Perl_Config_Header, nil, nil, "-", 6)
	Perl_Config_NotInstalled_Header:Hide()
	Perl_Config_All_Header:Hide()
	self:keepRegions(Perl_Config_All_Frame_DropDown1, {4,5}) -- N.B. regions 4 & 5 are text
	Perl_Config_ArcaneBar_Header:Hide()
	Perl_Config_CombatDisplay_Header:Hide()
	Perl_Config_Focus_Header:Hide()
	Perl_Config_Party_Header:Hide()
	Perl_Config_Party_Pet_Header:Hide()
	Perl_Config_Party_Target_Header:Hide()
	Perl_Config_Player_Header:Hide()
	Perl_Config_Player_Buff_Header:Hide()
	Perl_Config_Player_Pet_Header:Hide()
	Perl_Config_Raid_Header:Hide()
	Perl_Config_Target_Header:Hide()
	Perl_Config_Target_Target_Header:Hide()
	Perl_Config_ThirdParty_Header:Hide() 

	self:applySkin(Perl_Config_Frame)
	
end
     
function Skinner:Perl_Player()

--Player
	self:applySkin(Perl_Player_NameFrame)
	self:applySkin(Perl_Player_StatsFrame)
	self:applySkin(Perl_Player_LevelFrame)
	self:applySkin(Perl_Player_PortraitFrame)
	self:applySkin(Perl_Player_RaidGroupNumberFrame)
	
	self:glazeStatusBar(Perl_Player_HealthBar)
	self:glazeStatusBar(Perl_Player_ManaBar)
	self:glazeStatusBar(Perl_Player_DruidBar)
	self:glazeStatusBar(Perl_Player_XPBar)

end

function Skinner:Perl_Target()

--Target
	self:applySkin(Perl_Target_NameFrame)
	self:applySkin(Perl_Target_StatsFrame)
	self:applySkin(Perl_Target_LevelFrame)
	self:applySkin(Perl_Target_PortraitFrame)
	self:applySkin(Perl_Target_ClassNameFrame)
	self:applySkin(Perl_Target_RareEliteFrame)
	self:applySkin(Perl_Target_CivilianFrame)
	self:applySkin(Perl_Target_CPFrame)
	                                           
	self:glazeStatusBar(Perl_Target_NameFrame_CPMeter)
	self:glazeStatusBar(Perl_Target_HealthBar)
	self:glazeStatusBar(Perl_Target_ManaBar)
	
	Perl_Target_NameFrame:SetFrameLevel(Perl_Target_NameFrame:GetFrameLevel() + 1)

end

function Skinner:Perl_Focus()

--Focus
	self:applySkin(Perl_Focus_NameFrame)
	self:applySkin(Perl_Focus_StatsFrame)
	self:applySkin(Perl_Focus_LevelFrame)
	self:applySkin(Perl_Focus_PortraitFrame)
	self:applySkin(Perl_Focus_RareEliteFrame)
	self:applySkin(Perl_Focus_ClassNameFrame)
	self:applySkin(Perl_Focus_CivilianFrame)
	
	self:glazeStatusBar(Perl_Focus_HealthBar)
	self:glazeStatusBar(Perl_Focus_ManaBar)
	
  	Perl_Focus_NameFrame:SetFrameLevel(Perl_Focus_NameFrame:GetFrameLevel() + 1)
  
end

function Skinner:Perl_Target_Target()

--TargetTarget
	self:applySkin(Perl_Target_Target_NameFrame)
	self:applySkin(Perl_Target_Target_StatsFrame)
	self:applySkin(Perl_Target_Target_Target_NameFrame)
	self:applySkin(Perl_Target_Target_Target_StatsFrame)

	self:glazeStatusBar(Perl_Target_Target_HealthBar)
	self:glazeStatusBar(Perl_Target_Target_ManaBar)
	self:glazeStatusBar(Perl_Target_Target_Target_HealthBar)
	self:glazeStatusBar(Perl_Target_Target_Target_ManaBar)
	
end
 
function Skinner:Perl_Party()

--Party
	self:applySkin(Perl_Party_MemberFrame1_NameFrame)
	self:applySkin(Perl_Party_MemberFrame2_NameFrame)
	self:applySkin(Perl_Party_MemberFrame3_NameFrame)
	self:applySkin(Perl_Party_MemberFrame4_NameFrame)
	self:applySkin(Perl_Party_MemberFrame1_StatsFrame)
	self:applySkin(Perl_Party_MemberFrame2_StatsFrame)
	self:applySkin(Perl_Party_MemberFrame3_StatsFrame)
	self:applySkin(Perl_Party_MemberFrame4_StatsFrame)
	self:applySkin(Perl_Party_MemberFrame1_LevelFrame)
	self:applySkin(Perl_Party_MemberFrame2_LevelFrame)
	self:applySkin(Perl_Party_MemberFrame3_LevelFrame)
	self:applySkin(Perl_Party_MemberFrame4_LevelFrame)
	self:applySkin(Perl_Party_MemberFrame1_PortraitFrame)
	self:applySkin(Perl_Party_MemberFrame2_PortraitFrame)
	self:applySkin(Perl_Party_MemberFrame3_PortraitFrame)
	self:applySkin(Perl_Party_MemberFrame4_PortraitFrame)
	
	self:glazeStatusBar(Perl_Party_MemberFrame1_HealthBar)
	self:glazeStatusBar(Perl_Party_MemberFrame2_HealthBar)
	self:glazeStatusBar(Perl_Party_MemberFrame3_HealthBar)
	self:glazeStatusBar(Perl_Party_MemberFrame4_HealthBar)
	self:glazeStatusBar(Perl_Party_MemberFrame1__ManaBar)
	self:glazeStatusBar(Perl_Party_MemberFrame2__ManaBar)
	self:glazeStatusBar(Perl_Party_MemberFrame3__ManaBar)
	self:glazeStatusBar(Perl_Party_MemberFrame4__ManaBar)
	self:glazeStatusBar(Perl_Party_MemberFrame1_PetHealthBar) 
	self:glazeStatusBar(Perl_Party_MemberFrame2_PetHealthBar) 
	self:glazeStatusBar(Perl_Party_MemberFrame3_PetHealthBar) 
	self:glazeStatusBar(Perl_Party_MemberFrame4_PetHealthBar) 
	
end
  
function Skinner:Perl_Party_Target()

--Party Target
	self:applySkin(Perl_Party_Target1_NameFrame)
	self:applySkin(Perl_Party_Target2_NameFrame)
	self:applySkin(Perl_Party_Target3_NameFrame)
	self:applySkin(Perl_Party_Target4_NameFrame)
	self:applySkin(Perl_Party_Target1_StatsFrame)
	self:applySkin(Perl_Party_Target2_StatsFrame)
	self:applySkin(Perl_Party_Target3_StatsFrame)
	self:applySkin(Perl_Party_Target4_StatsFrame)
	
	self:glazeStatusBar(Perl_Party_Target1_HealthBar)
	self:glazeStatusBar(Perl_Party_Target2_HealthBar)
	self:glazeStatusBar(Perl_Party_Target3_HealthBar)
	self:glazeStatusBar(Perl_Party_Target4_HealthBar)
	self:glazeStatusBar(Perl_Party_Target1_ManaBar)
	self:glazeStatusBar(Perl_Party_Target2_ManaBar)
	self:glazeStatusBar(Perl_Party_Target3_ManaBar)
	self:glazeStatusBar(Perl_Party_Target4_ManaBar)

end
	
function Skinner:Perl_Player_Pet()

--Player Pet
	self:applySkin(Perl_Player_Pet_NameFrame)
	self:applySkin(Perl_Player_Pet_StatsFrame)
	self:applySkin(Perl_Player_Pet_LevelFrame)
	self:applySkin(Perl_Player_Pet_PortraitFrame)
	
	self:glazeStatusBar(Perl_Player_Pet_HealthBar)
	self:glazeStatusBar(Perl_Player_Pet_ManaBar)
	self:glazeStatusBar(Perl_Player_Pet_XPBar)

end
        
function Skinner:Perl_Party_Pet()

--Party Pet
	self:applySkin(Perl_Party_Pet1_NameFrame)
	self:applySkin(Perl_Party_Pet2_NameFrame)
	self:applySkin(Perl_Party_Pet3_NameFrame)
	self:applySkin(Perl_Party_Pet4_NameFrame)
	self:applySkin(Perl_Party_Pet1_StatsFrame)
	self:applySkin(Perl_Party_Pet2_StatsFrame)
	self:applySkin(Perl_Party_Pet3_StatsFrame)
	self:applySkin(Perl_Party_Pet4_StatsFrame)
	self:applySkin(Perl_Party_Pet1_PortraitFrame)
	self:applySkin(Perl_Party_Pet2_PortraitFrame)
	self:applySkin(Perl_Party_Pet3_PortraitFrame)
	self:applySkin(Perl_Party_Pet4_PortraitFrame)
	
	self:glazeStatusBar(Perl_Party_Pet1_HealthBar)
	self:glazeStatusBar(Perl_Party_Pet2_HealthBar)
	self:glazeStatusBar(Perl_Party_Pet3_HealthBar)
	self:glazeStatusBar(Perl_Party_Pet4_HealthBar)
	self:glazeStatusBar(Perl_Party_Pet1_ManaBar)
	self:glazeStatusBar(Perl_Party_Pet2_ManaBar)
	self:glazeStatusBar(Perl_Party_Pet3_ManaBar)
	self:glazeStatusBar(Perl_Party_Pet4_ManaBar)

end

function Skinner:Perl_CombatDisplay()

--Combat Display
	self:applySkin(Perl_CombatDisplay_ManaFrame)   
	self:applySkin(Perl_CombatDisplay_Target_ManaFrame)
	
	self:glazeStatusBar(Perl_CombatDisplay_HealthBar)
	self:glazeStatusBar(Perl_CombatDisplay_ManaBar)
	self:glazeStatusBar(Perl_CombatDisplay_DruidBar)
	self:glazeStatusBar(Perl_CombatDisplay_CPBar)
	self:glazeStatusBar(Perl_CombatDisplay_PetHealthBar)
	self:glazeStatusBar(Perl_CombatDisplay_PetManaBar)
	self:glazeStatusBar(Perl_CombatDisplay_Target_HealthBar)
	self:glazeStatusBar(Perl_CombatDisplay_Target_ManaBar)
	
end
        